Subject: bug#22080: 24.5; Prevent ERC accidental paste by default?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 27 Dec 2015 08:47:13 +0100

Josuah Demangeon <[email-masked]> writes:

> This indicate that erc-accidental-paste-threshold-seconds is nil by
> default.  A common beginner mistake is to accidentaly paste text into
> ERC.  Setting this variable may prevent many of these mistakes (Like I
> did, reason of this report).
>
> Whatever you choose, I'm grateful for your attention.

I think it's not uncommon to paste a couple of lines in at once, so I
think defaulting to anything but zero here would be a disservice.

What we want to avoid is flooding channels, and `erc-flood-protect'
defaults to t, so I think we're covered.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no